Package htsjdk.samtools

# Class SecondaryOrSupplementarySkippingIterator

java.lang.Object
htsjdk.samtools.SecondaryOrSupplementarySkippingIterator

public class SecondaryOrSupplementarySkippingIterator extends Object
Wrapper around SAMRecord iterator that skips over secondary and supplementary elements. This iterator conflates a filtering iterator and a peekable iterator. It would be cleaner to handle those concerns separately. This class should be viewed as a replacement for SecondaryAlignmentSkippingIterator, in that we did not want to change the functionality of NPSI to no longer match its name

## Constructor Summary

Constructors
Constructor
Description
`SecondaryOrSupplementarySkippingIterator(CloseableIterator<SAMRecord> underlyingIt)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`advance()`
`SAMRecord`
`getCurrent()`
`boolean`
`hasCurrent()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SecondaryOrSupplementarySkippingIterator

public SecondaryOrSupplementarySkippingIterator(CloseableIterator<SAMRecord> underlyingIt)

## Method Details

### hasCurrent

public boolean hasCurrent()

### getCurrent

public SAMRecord getCurrent()

### advance

public boolean advance()